[Archvdr-devel] SF.net SVN: archvdr:[290] trunk/archvdr
Brought to you by:
huceke
|
From: <hu...@us...> - 2009-08-02 10:23:07
|
Revision: 290
http://archvdr.svn.sourceforge.net/archvdr/?rev=290&view=rev
Author: huceke
Date: 2009-08-02 10:22:59 +0000 (Sun, 02 Aug 2009)
Log Message:
-----------
For sure, the utils must contain my tevii 650 hack :D
Added Paths:
-----------
trunk/archvdr/lirc-utils-atom/
trunk/archvdr/lirc-utils-atom/99_devinput_edhack_tevii
trunk/archvdr/lirc-utils-atom/PKGBUILD
trunk/archvdr/lirc-utils-atom/lirc.logrotate
trunk/archvdr/lirc-utils-atom/lircd
trunk/archvdr/lirc-utils-atom/lircd.conf.d
trunk/archvdr/lirc-utils-atom/lircmd
Added: trunk/archvdr/lirc-utils-atom/99_devinput_edhack_tevii
===================================================================
--- trunk/archvdr/lirc-utils-atom/99_devinput_edhack_tevii (rev 0)
+++ trunk/archvdr/lirc-utils-atom/99_devinput_edhack_tevii 2009-08-02 10:22:59 UTC (rev 290)
@@ -0,0 +1,35 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+
+@DPATCH@
+--- lirc-0.8.5/daemons/hw_devinput.c 2009-08-02 11:23:41.000000000 +0200
++++ lirc-0.8.5-patched/daemons/hw_devinput.c 2009-08-02 11:48:51.000000000 +0200
+@@ -263,7 +263,9 @@
+ char *devinput_rec(struct ir_remote *remotes)
+ {
+ struct input_event event;
++ static struct input_event last_event;
+ int rd;
++ static int count = 0;
+
+
+ LOGPRINTF(1, "devinput_rec");
+@@ -290,5 +292,19 @@
+ /* ignore EV_SYN */
+ if(event.type == EV_SYN) return NULL;
+
++ if(count == 0) {
++ last_event.code = event.code;
++ last_event.type = event.type;
++ }
++
++ if(last_event.code == event.code &&
++ last_event.type == event.type && count == 0) {
++ count++;
++ } else if(last_event.code == event.code &&
++ last_event.type == event.type && count == 1) {
++ count = 0;
++ return NULL;
++ }
++
+ return decode_all(remotes);
+ }
Added: trunk/archvdr/lirc-utils-atom/PKGBUILD
===================================================================
--- trunk/archvdr/lirc-utils-atom/PKGBUILD (rev 0)
+++ trunk/archvdr/lirc-utils-atom/PKGBUILD 2009-08-02 10:22:59 UTC (rev 290)
@@ -0,0 +1,77 @@
+# $Id$
+# Maintainer: Edgar Hucek <gimli at dark-green dot com>
+
+pkgname=lirc-utils-atom
+pkgver=0.8.5
+pkgrel=1
+pkgdesc="Linux Infrared Remote Control utils"
+arch=('i686' 'x86_64')
+url="http://www.lirc.org/"
+license=('GPL')
+_kernver=2.6.29-ARCH
+depends=('alsa-lib' 'libusb' 'libx11' 'libsm' 'python' 'libftdi')
+makedepends=('help2man')
+replaces=('lirc+pctv')
+backup=('etc/lircd.conf' 'etc/lircmd.conf'\
+ 'etc/conf.d/lircd')
+options=('!libtool' '!makeflags')
+provides=('lirc-utils')
+replaces=('lirc-utils')
+source=(http://prdownloads.sourceforge.net/lirc/lirc-${pkgver}.tar.bz2
+ #http://downloads.sourceforge.net/sourceforge/lirc/lirc-$pkgver.tar.bz2
+ lircd lircmd lirc.logrotate lircd.conf.d
+ 99_devinput_edhack_tevii)
+
+build() {
+ # configure
+ cd $startdir/src/lirc-$pkgver || return 1
+
+ # Disabling lirc_gpio driver as it does no longer work Kernel 2.6.22+
+ sed -i -e "s:lirc_gpio\.o::" drivers/lirc_gpio/Makefile.am || return 1
+
+ # my tevi hack
+ patch -p1 -i ../99_devinput_edhack_tevii || return 1
+
+ autoreconf || return 1
+ libtoolize || return 1
+
+ ./configure --enable-sandboxed --prefix=/usr \
+ --with-driver=all --with-kerneldir=/usr/src/linux-${_kernver} \
+ --with-moduledir=/lib/modules/${_kernver}/kernel/drivers/misc \
+ --with-transmitter \
+ || return 1
+ # disable parallel and bt829
+ # because of incompatibility with smp systems
+ sed -i -e "s:lirc_parallel::" -e "s:lirc_bt829::" \
+ Makefile drivers/Makefile drivers/*/Makefile tools/Makefile \
+ || return 1
+
+ # build
+ make || return 1
+ make DESTDIR=$startdir/pkg install || return 1
+ mkdir -p $startdir/pkg/usr/share/lirc $startdir/pkg/etc/rc.d \
+ || return 1
+ cp $startdir/src/{lircd,lircmd} $startdir/pkg/etc/rc.d/ \
+ || return 1
+ chmod +x $startdir/pkg/etc/rc.d/lircd
+ chmod +x $startdir/pkg/etc/rc.d/lircmd
+
+ cp -rp remotes $startdir/pkg/usr/share/lirc || return 1
+ chmod -R go-w $startdir/pkg/usr/share/lirc/ || return 1
+
+ # install the logrotate config
+ install -D -m644 $startdir/src/lirc.logrotate \
+ $startdir/pkg/etc/logrotate.d/lirc || return 1
+
+ # install conf.d file
+ install -D -m644 $startdir/src/lircd.conf.d \
+ $startdir/pkg/etc/conf.d/lircd || return 1
+
+ # remove built modules
+ rm -r $startdir/pkg/lib/
+}
+md5sums=('5a274e4eaff8156b17903c22ea01f506'
+ '909ad968afa10e4511e1da277bb23c3b'
+ '85f7fdac55e5256967241864049bf5e9'
+ '3deb02604b37811d41816e9b4385fcc3'
+ '5b1f8c9cd788a39a6283f93302ce5c6e')
Added: trunk/archvdr/lirc-utils-atom/lirc.logrotate
===================================================================
--- trunk/archvdr/lirc-utils-atom/lirc.logrotate (rev 0)
+++ trunk/archvdr/lirc-utils-atom/lirc.logrotate 2009-08-02 10:22:59 UTC (rev 290)
@@ -0,0 +1,5 @@
+/var/log/lircd {
+ missingok
+ notifempty
+ delaycompress
+}
Added: trunk/archvdr/lirc-utils-atom/lircd
===================================================================
--- trunk/archvdr/lirc-utils-atom/lircd (rev 0)
+++ trunk/archvdr/lirc-utils-atom/lircd 2009-08-02 10:22:59 UTC (rev 290)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/lircd
+
+PID=$(pidof -o %PPID /usr/sbin/lircd)
+case "$1" in
+ start)
+ stat_busy "Starting LIRC Daemon"
+ [ -n "$LIRC_DRIVER" ] && LIRC_EXTRAOPTS="-H $LIRC_DRIVER $LIRC_EXTRAOPTS"
+ [ -z "$PID" ] &&
+ if [ -n "$LIRC_DEVICE" ] ; then
+ /usr/sbin/lircd -d "$LIRC_DEVICE" $LIRC_EXTRAOPTS $LIRC_CONFIGFILE
+ else
+ /usr/sbin/lircd $LIRC_EXTRAOPTS $LIRC_CONFIGFILE
+ fi
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon lircd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping LIRC Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon lircd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
Added: trunk/archvdr/lirc-utils-atom/lircd.conf.d
===================================================================
--- trunk/archvdr/lirc-utils-atom/lircd.conf.d (rev 0)
+++ trunk/archvdr/lirc-utils-atom/lircd.conf.d 2009-08-02 10:22:59 UTC (rev 290)
@@ -0,0 +1,8 @@
+#
+# Parameters for lirc daemon
+#
+
+LIRC_DEVICE="/dev/lirc0"
+LIRC_DRIVER=""
+LIRC_EXTRAOPTS=""
+LIRC_CONFIGFILE=""
Added: trunk/archvdr/lirc-utils-atom/lircmd
===================================================================
--- trunk/archvdr/lirc-utils-atom/lircmd (rev 0)
+++ trunk/archvdr/lirc-utils-atom/lircmd 2009-08-02 10:22:59 UTC (rev 290)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/lircmd`
+case "$1" in
+ start)
+ stat_busy "Starting lircmd Daemon"
+ [ -z "$PID" ] && /usr/sbin/lircmd
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon lircmd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping lircmd Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon lircmd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|